curl --request GET \
--url https://app.base44.com/api/apps/{app_id}/github/org-policy \
--header 'api_key: <api-key>'import requests
url = "https://app.base44.com/api/apps/{app_id}/github/org-policy"
headers = {"api_key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_key: '<api-key>'}};
fetch('https://app.base44.com/api/apps/{app_id}/github/org-policy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"restricted": false
}Get GitHub organization policy
Tells you whether the app’s workspace limits GitHub repositories to an approved list of organizations.
When restricted is true, you can create the app’s repository only under one of the approved organizations. The approved list itself is managed in workspace settings.
Workspace owners and admins can connect under any organization, even when the policy restricts organizations for other users. However, the organization list they read is filtered by the restriction policy, so List GitHub organizations returns the same list for them as it does for other users.
Authorizations
Personal API key.
Path Parameters
ID of the app whose workspace decides which GitHub organizations you can use.
Response
Whether the workspace limits which GitHub organizations you can use.
Whether the app's workspace limits which GitHub organizations it can use.
Whether the app's workspace limits GitHub repositories to an approved list of organizations.
false
Was this page helpful?